# goal
Automate downloading and flashing of linux distributions to arbitrary storages(i.e. external usb device). Periodically (i.e. daemon) check for updates, download them and flash them.
```
$ ./quickos -h
usage: quickos.py [-h] os storage

flash linux operating systems on the fly

positional arguments:
  os          the operating system that should be flashed
  storage     the storage where the os shall be flashed

    optional arguments:
      -h, --help  show this help message and exit
```

# roadmap
- [x] virtualenv
- [x] git repo
- [x] how to make a daemon?
- [x] get argparse working
- [x] implement config file in form of distributions.json
- [x] update distributions
- [ ] check signature
- [ ] flash storage with downloaded os
- [ ] make cli options working

# how are distributions offered?
- as latest
- with date in the download link
- the checksum is sometimes a file, sometimes written on a webpage

how to get the newest download link?
